# Liste des erreurs générées

Les erreurs générées lors d’un contrôle sont classées par type. On distingue les erreurs relatives :

*   aux entités
*   à la géométrie
*   aux jeux de données
*   aux types d’entité.

Le tableau ci-dessous liste l’ensemble des erreurs retournées par Qualigéo :

<table border="1px solid grey">
            <tr>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColSep" style="text-align: center;"><b>id_error_type</b></td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColSep" style="text-align: center;"><b>classe d’erreur</b></td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: center;"><b>nom</b></td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#type-de-geometrie-et-interpretation-de-la-geometrie">E0002</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non conforme (interprétation de la géométrie).</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis">E0003</a>
                </td>
                <td>Type d’entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Attribut non autorisé</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis">E0004</a>
                </td>
                <td>Type d’entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Attribut obligatoire absent</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0005</a>
                </td>
                <td>Jeu de données</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Type d’entité obligatoire absent</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0006</a> </td>
                <td>Jeu de données</td>
                <td>Type d’entité obligatoire absent (TE défini par une expression régulière). Erreur dépréciée en 2017. </td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#longueur-dattribut/01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#longueur-dattribut">E0007</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Taille de l’attribut trop grande</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.03.DefinitionContraintesUnicite.html">E0008</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte d’unicité</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-obligatoire">E0009</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de contrainte de non nullité</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#domaine-de-valeurs">E0010</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Valeur d’attribut hors domaine</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/05.DefinitionContraintesRelationsSpatiales.html">E0011</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte de relation spatiale</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#expression-reguliere">E0012</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Valeur d’attribut hors expression régulière</td>
            </tr>
            <tr>
                <td>E0013 </td>
                <td>Entité</td>
                <td>Valeur d’attribut hors expression régulière nommée</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique">E0014</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte de tesselation : chevauchement</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.05.DefinitionContraintesTopologiques.html#caracteristiques-de-contraintes-topologique">E0015</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte de tesselation : espace</td>
            </tr>
            <tr>
                <td>E0016</td>
                <td>Entité</td>
                <td>Valeur d’attribut hors expression régulière décrite par code tcl</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0017</a>
                </td>
                <td>Jeu de données</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Nombre d’erreurs maximum dépassé</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0018</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : erreur indéterminée (erreur OGC_validator: 1)</td>
            </tr>
            <tr>
                <td>E0019</td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Point répété (erreur OGC_validator : 1)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence"">E0020</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Trou à l’extérieur de l’enveloppe (erreur OGC_validator : 2)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0021</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Trous imbriqués (erreur OGC_validator : 3)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0022</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Disconnected Interior (erreur OGC_validator : 4 )</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0023</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Auto-intersection (erreur OGC_validator : 5)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0024</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Anneau auto-intersecté (erreur OGC_validator : 6)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0025</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Nested Shells (erreur OGC_validator : 7)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0026</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Anneaux dupliqués (erreur OGC_validator : 8)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0027</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Pas assez de points (erreur OGC_validator : 9)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0028</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Coordonnée invalide (erreur OGC_validator : 10)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#existence">E0029</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Anneau non fermé (erreur OGC_validator : 11)</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html">E0030</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte de cardinalité : Enfant avec trop de parents</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html">E0031</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte de cardinalité : Enfant sans parent</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html">E0032</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte de cardinalité : Parent avec trop d’enfants</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/04.DefinitionContraintesCardinalites.html">E0033</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte de cardinalité : Parent sans enfant</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#date">E0034</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Date non conforme</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre">E0035</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Non respect d’une contrainte spécifique Type (définie par code) sur l’entité</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#restreindre-a-un-systeme-de-coordonnees-de-reference">E0036</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Non respect du domaine spatial. Système de coordonnées différent du système de référence.</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#restreindre-a-un-systeme-de-coordonnees-de-reference">E0037</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Non respect du domaine spatial. Données en dehors des bornes.</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html">E0038</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non conforme (type de géométrie).</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-numerique-min-et-max">E0039</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Valeur d’attribut inférieure au minimum</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#valeur-numerique-min-et-max">E0040</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Valeur d’attribut supérieure au maximum</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#type-de-geometrie-et-interpretation-de-la-geometrie">E0041</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Relation spatiale impossible, géométrie non conforme</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.01.DefinitionTypesEntites.html#type-de-geometrie-et-interpretation-de-la-geometrie">E0042</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Problème de relation spatiale, géométrie de l’entité liée non conforme</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#type-dattributs">E0043</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Type d’attribut non conforme</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html#type-dentites-et-attribut-non-definis">E0044</a>
                </td>
                <td>Jeu de données</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Type d’entité non défini</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.04.DefinitionContraintesSpecifiques.html#definition-de-contraintes-specifiques-sur-lentite-dans-larbre">E0045</a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte Python sur l’entité</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#contraintes-specifiques-sur-lattribut">E0046</a>
                </td>
                <td>Code</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Erreur de codage de la contrainte Python sur l’entité</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/03.02.DefinitionContraintesAttributs.html#contraintes-specifiques-sur-lattribut">E0047 </a>
                </td>
                <td>Entité</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Valeur d’attribut hors expression régulière décrite par code python</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/07.DefinitionContraintesCode.html#edition-de-codes-tcl-et-python">E0048</a>
                </td>
                <td>Jeu de données</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Violation de la contrainte spécifique (Python) sur le jeu de données</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/07.DefinitionContraintesCode.html#edition-de-codes-tcl-et-python">E0049</a>
                </td>
                <td>Code</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Erreur de codage de la contrainte Python sur l’attribut</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html">E0050</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Erreur de contrainte de construction stricte - segment</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html">E0051</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Erreur de contrainte de construction stricte - vertex</td>
            </tr>
            <tr>
                <td><a href="../01-Utilisation de Qualigéo/02-SpecifierSchemaContraintes/02.04.CreationSchemaVierge.html">E0052</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Erreur de contrainte de construction permissive - segment</td>
            </tr>
            <tr>
                <td><a href="../04-ContraintesRessources/03.05.PrecisionTolerance.html">E0053</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Géométrie non valide : Point(s) dupliqué(s) avec précision</td>
            </tr>
            <tr>
                <td><a href="../04-ContraintesRessources/03.05.PrecisionTolerance.html">E0054</a>
                </td>
                <td>Géométrie</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Erreur de contrainte de construction permissive - polygone</td>
            </tr>
            <tr>
                <td>E0055
                </td>
                <td>Format personnalisé</td>
                <td class="TableStyle_Basic_Body_0_0_RowSep_ColEnd" style="text-align: left;">Erreur définie et testée dans le format personnalisé</td>
            </tr>
            <tr>
                <td>E0056</td>
                <td>Entité</td>
                <td>Erreur d’encodage de la valeur de l’attribut</td>
            </tr>
        </table>
